#include "f.hpp"
#include "df2.hpp"

#include<cmath>
#include<limits>
using namespace std;

T df2(T a, T x, int b, T c) {
  T h= x==0 ? sqrt(numeric_limits<T>::epsilon())
            : sqrt(numeric_limits<T>::epsilon())*fabs(x);
  return (f(a,x+h,b,c)-f(a,x-h,b,c))/(h+h);
}

