#include "newton.hpp"

#include<iostream>
#include<cmath>
using namespace std;

T newton(T a, T x, int b, T c, T eps, T (*f)(T,T,int,T), T(*df)(T,T,int,T)) {
  T r=f(a,x,b,c); int i=1;
  while (fabs(r)>eps) {
    x-=r/df(a,x,b,c);
    cout << i++ << ": " << x << endl;
    r=f(a,x,b,c);
  }
  return x;
}
